ESYS_CRYPTO_CALLBACKS Struct Reference

## Data Fields

ESYS_CRYPTO_PK_RSA_ENCRYPT_FNP | rsa_pk_encrypt
ESYS_CRYPTO_HASH_START_FNP | hash_start
ESYS_CRYPTO_HASH_UPDATE_FNP | hash_update
ESYS_CRYPTO_HASH_FINISH_FNP | hash_finish
ESYS_CRYPTO_HASH_ABORT_FNP | hash_abort
ESYS_CRYPTO_HMAC_START_FNP | hmac_start
ESYS_CRYPTO_HMAC_UPDATE_FNP | hmac_update
ESYS_CRYPTO_HMAC_FINISH_FNP | hmac_finish
ESYS_CRYPTO_HMAC_ABORT_FNP | hmac_abort
ESYS_CRYPTO_GET_RANDOM2B_FNP | get_random2b
ESYS_CRYPTO_GET_ECDH_POINT_FNP | get_ecdh_point
ESYS_CRYPTO_AES_ENCRYPT_FNP | aes_encrypt
ESYS_CRYPTO_AES_DECRYPT_FNP | aes_decrypt
ESYS_CRYPTO_SM4_ENCRYPT_FNP | sm4_encrypt
ESYS_CRYPTO_SM4_DECRYPT_FNP | sm4_decrypt
ESYS_CRYPTO_INIT_FNP | init
void * | userdata

The documentation for this struct was generated from the following file:

- include/tss2/tss2_esys.h